# Class VulkanFenceCreateInfo

java.lang.Object
com.io7m.jcoronado.api.VulkanFenceCreateInfo

All Implemented Interfaces:
  `VulkanFenceCreateInfoType`

public final class VulkanFenceCreateInfo extends Object implements VulkanFenceCreateInfoType
The type of Vulkan fence creation information.

See Also:
  - "VkFenceCreateInfo"

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `VulkanFenceCreateInfo.Builder`
  Builds instances of type `VulkanFenceCreateInfo`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanFenceCreateInfo.Builder`
  `builder()`
  Creates a builder for `VulkanFenceCreateInfo`.
  `static VulkanFenceCreateInfo`
  `copyOf(VulkanFenceCreateInfoType instance)`
  Creates an immutable copy of a `VulkanFenceCreateInfoType` value.
  `boolean`
  `equals(Object another)`
  This instance is equal to all instances of `VulkanFenceCreateInfo` that have equal attribute values.
  `Set<VulkanFenceCreateFlag>`
  `flags()`
  `int`
  `hashCode()`
  Computes a hash code from attributes: `flags`.
  `String`
  `toString()`
  Prints the immutable value `VulkanFenceCreateInfo` with attribute values.
  `final VulkanFenceCreateInfo`
  `withFlags(VulkanFenceCreateFlag... elements)`
  Copy the current immutable object with elements that replace the content of `flags`.
  `final VulkanFenceCreateInfo`
  `withFlags(Iterable<VulkanFenceCreateFlag> elements)`
  Copy the current immutable object with elements that replace the content of `flags`.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### flags

    public Set<VulkanFenceCreateFlag> flags()
    Specified by:
      `flags` in interface `VulkanFenceCreateInfoType`
    Returns:
      The fence creation flags

  - ### withFlags

    public final VulkanFenceCreateInfo withFlags(VulkanFenceCreateFlag... elements)
    Copy the current immutable object with elements that replace the content of `flags`.
    Parameters:
      `elements` - The elements to set
    Returns:
      A modified copy of `this` object

  - ### withFlags

    public final VulkanFenceCreateInfo withFlags(Iterable<VulkanFenceCreateFlag> elements)
    Copy the current immutable object with elements that replace the content of `flags`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `elements` - An iterable of flags elements to set
    Returns:
      A modified copy or `this` if not changed

  - ### equals

    public boolean equals(Object another)
    This instance is equal to all instances of `VulkanFenceCreateInfo` that have equal attribute values.
    Overrides:
      `equals` in class `Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `flags`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      hashCode value

  - ### toString

    public String toString()
    Prints the immutable value `VulkanFenceCreateInfo` with attribute values.
    Overrides:
      `toString` in class `Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static VulkanFenceCreateInfo copyOf(VulkanFenceCreateInfoType instance)
    Creates an immutable copy of a `VulkanFenceCreateInfoType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable VulkanFenceCreateInfo instance

  - ### builder

    public static VulkanFenceCreateInfo.Builder builder()
    Creates a builder for `VulkanFenceCreateInfo`.

        VulkanFenceCreateInfo.builder()
           .addFlags|addAllFlags(com.io7m.jcoronado.api.VulkanFenceCreateFlag) // flags elements
           .build();

    Returns:
      A new VulkanFenceCreateInfo builder